package ejemplo.modelo2NN;
// Generated 7 ene 2023 12:20:46 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.AttributeOverride;
import jakarta.persistence.AttributeOverrides;
import jakarta.persistence.Column;
import jakarta.persistence.EmbeddedId;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

/**
 * PersonajeTieneArmas generated by hbm2java
 */
@Entity(name="PesonajeTieneArmaNNN")
@Table(name = "personaje_tiene_armas", catalog = "bdrelaciones2NN")
public class PersonajeTieneArma implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@EmbeddedId
	@AttributeOverrides({
			@AttributeOverride(name = "idPersonaje", column = @Column(name = "id_personaje", nullable = false)),
			@AttributeOverride(name = "idArma", column = @Column(name = "id_arma", nullable = false)),
			@AttributeOverride(name = "poder", column = @Column(name = "poder", nullable = false)) })
	private PersonajeTieneArmaId id;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_arma", nullable = false, insertable = false, updatable = false)
	private Arma arma;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_personaje", nullable = false, insertable = false, updatable = false)
	private Personaje personaje;
	
	@Column(name = "poder", nullable = false)
	private int poder;

	public PersonajeTieneArma() {
	}

	public PersonajeTieneArma(Arma arma, Personaje personaje, int poder) {
		this.id = new PersonajeTieneArmaId(arma.getId(), personaje.getId());;
		this.arma = arma;
		this.personaje = personaje;
		this.poder = poder;
	}

	public Arma getArma() {
		return this.arma;
	}

	public void setArma(Arma arma) {
		this.arma = arma;
	}

	public Personaje getPersonaje() {
		return this.personaje;
	}

	public void setPersonaje(Personaje personaje) {
		this.personaje = personaje;
	}

	public int getPoder() {
		return poder;
	}

	public void setPoder(int poder) {
		this.poder = poder;
	}	

}
